# -*- coding: utf-8 -*-

import sys, xbmcaddon, xbmcplugin, xbmcgui, urllib
from xml.dom.minidom import parseString

# plugin constants
__version__ = "0.3.0"
__plugin__ = "YouTube" + __version__
__author__ = "Igor Cota"
__url__ = "www.igor-cota.iz.hr"

# xbmc hooks
__settings__ = xbmcaddon.Addon(id='plugin.video.croatiantv')
__language__ = __settings__.getLocalizedString
__dbg__ = __settings__.getSetting("debug") == "true"

# plugin structure 
__feeds__ = ""
__scraper__ = ""
__playlist__ = ""
__navigation__ = ""
__downloader__ = ""
__storage__ = ""
__login__ = ""
__player__ = ""


def addLink(name,url,iconimage):
        ok=True
        liz=xbmcgui.ListItem(name, iconImage="DefaultVideo.png", thumbnailImage=iconimage)
        liz.setInfo( type="Video", infoLabels={ "Title": name } )
        ok=xbmcplugin.addDirectoryItem(handle=int(sys.argv[1]),url=url,listitem=liz)
        return ok


remoteXml = urllib.urlopen("http://igor-cota.iz.hr/out.xml")
xml = remoteXml.read()
doc = parseString(xml)
cliplist = doc.getElementsByTagName("clip")


if (__name__ == "__main__" ):
	
	for clip in cliplist:
		addLink(clip.getElementsByTagName("title")[0].firstChild.nodeValue.encode("utf-8"),clip.getElementsByTagName("url")[0].firstChild.nodeValue,clip.getElementsByTagName("thumb")[0].firstChild.nodeValue)
	
	xbmcplugin.endOfDirectory(int(sys.argv[1]))